summaryrefslogtreecommitdiffstats
path: root/jjb/scripts
diff options
context:
space:
mode:
authorAndrew Yourtchenko <ayourtch@gmail.com>2020-12-16 15:16:24 +0000
committerAndrew Yourtchenko <ayourtch@gmail.com>2020-12-16 15:19:51 +0000
commit18c215d8a6b55fd983c7f51ed121d665a1342c78 (patch)
treee4a3234c66f4c160170f06232faf98878a74f113 /jjb/scripts
parente76352ea126bf2e4eadeda3c06c6c46c4b57b203 (diff)
delete the references to packagecloud.io .deb repositories after installing vpp-ext-deps
If a new empty packagecloud.io/fdio/XXYY empty repository is being added during the stable/XXYY branch creation process, the jobs will fail unless a dummy artifact is added to this repository. Since we only use this repository to install the right version of vpp-ext-deps, delete the references after that portion is complete. Change-Id: Ia5dfa5bf0193c0af8671d561d27f9f02c4e641f4 Signed-off-by: Andrew Yourtchenko <ayourtch@gmail.com>
Diffstat (limited to 'jjb/scripts')
-rw-r--r--jjb/scripts/setup_vpp_dpdk_dev_env.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/jjb/scripts/setup_vpp_dpdk_dev_env.sh b/jjb/scripts/setup_vpp_dpdk_dev_env.sh
index cd5bab447..2c55f166b 100644
--- a/jjb/scripts/setup_vpp_dpdk_dev_env.sh
+++ b/jjb/scripts/setup_vpp_dpdk_dev_env.sh
@@ -48,6 +48,9 @@ function setup {
force_opts="$force_opts --allow-change-held-packages"
sudo apt-get -y $force_opts install vpp-ext-deps || true
fi
+ echo "Removing packagecloud.io repository references and running apt-get update"
+ sudo rm -f /etc/apt/sources.list.d/fdio_*.list
+ sudo apt-get update -qq || true
elif [ "${OS_ID,,}" == "centos" ] ; then
if [ "${STREAM}" != "master" ] ; then
echo "stream '${STREAM}' is not master: replacing packagecloud repo list with stream specific list"